#!/bin/bash

source /etc/de-p1st-repo/arch-repo.cfg || exit



cd "${LOCAL_PKG_DIR}" || exit

# transfer new packages using rsync
rsync --ignore-existing --progress --human-readable \
  ./*.pkg.tar.{xz,zst} "${REMOTE_SSH_HOST}":"${REMOTE_PKG_DIR}" || exit

# add each new package to database
ssh "${REMOTE_SSH_HOST}" "/usr/bin/arch-repo-receive-new"
